> ## Documentation Index
> Fetch the complete documentation index at: https://developers.nlpearl.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Request

> Fetches detailed information about a specific API request identified by its unique requestId.



## OpenAPI

````yaml get /v1/Outbound/CallRequest/{requestId}
openapi: 3.0.1
info:
  title: NLPearl Client API
  description: A sample API that demonstrates features in the OpenAPI specification
  version: v1
servers:
  - url: https://api.nlpearl.ai
    description: Production Environement
security:
  - bearer_auth: []
paths:
  /v1/Outbound/CallRequest/{requestId}:
    get:
      tags:
        - Outbound
      summary: Get Call Request
      description: >-
        Fetches detailed information about a specific API request identified by
        its unique requestId.
      parameters:
        - name: requestId
          in: path
          description: The unique identifier of the API request to retrieve.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The details of the API request were successfully retrieved.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ApiRequestView'
            application/json:
              schema:
                $ref: '#/components/schemas/ApiRequestView'
            text/json:
              schema:
                $ref: '#/components/schemas/ApiRequestView'
        '400':
          description: >-
            The request was invalid. Possible causes include a missing or
            malformed requestId.
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/ValidationProblemDetails'
components:
  schemas:
    ApiRequestView:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the API request.
          nullable: true
        status:
          allOf:
            - $ref: '#/components/schemas/eApiRequestStatus'
          description: |+
            `1 - InCallQueue`

            `2 - OnCall`

            `10 - Completed`

            `20 - BlackListed`

            `100 - Error`

        outboundId:
          type: string
          description: >-
            The unique identifier of the outbound campaign associated with this
            API request.
          nullable: true
        created:
          type: string
          description: The date and time when the API request was created.
          format: date-time
        errors:
          type: array
          items:
            type: string
          description: A list of errors that occurred during the API request, if any.
          nullable: true
        callId:
          type: string
          description: >-
            The unique identifier of the call associated with this API request,
            if available.
          nullable: true
      additionalProperties: false
    ValidationProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          nullable: true
      additionalProperties: {}
    eApiRequestStatus:
      type: integer
      description: |+
        `1 - InCallQueue`

        `2 - OnCall`

        `10 - Completed`

        `20 - BlackListed`

        `100 - Error`

      format: int32
  securitySchemes:
    bearer_auth:
      type: http
      description: >-
        Specify the authorization token.


        For more information, check out the [Authorization
        Guide](/api-reference/authorization).
      scheme: bearer

````